<html lang="en">
<head>
<title>psgml</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="psgml">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="../index.html#dir" title="(d<ul class="index-cp" compact>
<li><a href="Indent.html#index-g_t_0040key_007bLFD_007d-99"><code>&lt;LFD&gt;</code></a>: <a href="Indent.html#Indent">Indent</a></li>
<li><a href="Indent.html#index-g_t_0040key_007bTAB_007d-98"><code>&lt;TAB&gt;</code></a>: <a href="Indent.html#Indent">Indent</a></li>
<li><a href="Attributes.html#index-g_t_0040key_007bTAB_007d-123"><code>&lt;TAB&gt;</code></a>: <a href="Attributes.html#Attributes">Attributes</a></li>
<li><a href="Attributes.html#index-C_002da-125"><code>C-a</code></a>: <a href="Attributes.html#Attributes">Attributes</a></li>
<li><a href="Change-and-delete.html#index-C_002dc-_0023-141"><code>C-c #</code></a>: <a href="Change-and-delete.html#Change-and-delete">Change and delete</a></li>
<li><a href="Insert.html#index-C_002dc-_002b-77"><code>C-c +</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Change-and-delete.html#index-C_002dc-_002d-139"><code>C-c -</code></a>: <a href="Change-and-delete.html#Change-and-delete">Change and delete</a></li>
<li><a href="Insert.html#index-C_002dc-_002f-73"><code>C-c /</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Insert.html#index-C_002dc-_003c-61"><code>C-c &lt;</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Change-and-delete.html#index-C_002dc-_003d-133"><code>C-c =</code></a>: <a href="Change-and-delete.html#Change-and-delete">Change and delete</a></li>
<li><a href="Attributes.html#index-C_002dc-C_002da-121"><code>C-c C-a</code></a>: <a href="Attributes.html#Attributes">Attributes</a></li>
<li><a href="Information.html#index-C_002dc-C_002dc-91"><code>C-c C-c</code></a>: <a href="Information.html#Information">Information</a></li>
<li><a href="Attributes.html#index-C_002dc-C_002dc-124"><code>C-c C-c</code></a>: <a href="Attributes.html#Attributes">Attributes</a></li>
<li><a href="Attributes.html#index-C_002dc-C_002dd-131"><code>C-c C-d</code></a>: <a href="Attributes.html#Attributes">Attributes</a></li>
<li><a href="Move.html#index-C_002dc-C_002dd-118"><code>C-c C-d</code></a>: <a href="Move.html#Move">Move</a></li>
<li><a href="Attributes.html#index-C_002dc-C_002dd-122"><code>C-c C-d</code></a>: <a href="Attributes.html#Attributes">Attributes</a></li>
<li><a href="Insert.html#index-C_002dc-C_002de-63"><code>C-c C-e</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Fold.html#index-C_002dc-C_002df-C_002de-152"><code>C-c C-f C-e</code></a>: <a href="Fold.html#Fold">Fold</a></li>
<li><a href="Fold.html#index-C_002dc-C_002df-C_002dr-150"><code>C-c C-f C-r</code></a>: <a href="Fold.html#Fold">Fold</a></li>
<li><a href="Fold.html#index-C_002dc-C_002df-C_002ds-154"><code>C-c C-f C-s</code></a>: <a href="Fold.html#Fold">Fold</a></li>
<li><a href="Fold.html#index-C_002dc-C_002df-C_002dx-163"><code>C-c C-f C-x</code></a>: <a href="Fold.html#Fold">Fold</a></li>
<li><a href="Insert.html#index-C_002dc-C_002di-69"><code>C-c C-i</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Attributes.html#index-C_002dc-C_002dk-129"><code>C-c C-k</code></a>: <a href="Attributes.html#Attributes">Attributes</a></li>
<li><a href="Change-and-delete.html#index-C_002dc-C_002dk-135"><code>C-c C-k</code></a>: <a href="Change-and-delete.html#Change-and-delete">Change and delete</a></li>
<li><a href="Move.html#index-C_002dc-C_002dn-114"><code>C-c C-n</code></a>: <a href="Move.html#Move">Move</a></li>
<li><a href="Validate.html#index-C_002dc-C_002do-25"><code>C-c C-o</code></a>: <a href="Validate.html#Validate">Validate</a></li>
<li><a href="Change-and-delete.html#index-C_002dc-C_002dq-143"><code>C-c C-q</code></a>: <a href="Change-and-delete.html#Change-and-delete">Change and delete</a></li>
<li><a href="Insert.html#index-C_002dc-C_002dr-71"><code>C-c C-r</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Fold.html#index-C_002dc-C_002ds-156"><code>C-c C-s</code></a>: <a href="Fold.html#Fold">Fold</a></li>
<li><a href="Information.html#index-C_002dc-C_002dt-95"><code>C-c C-t</code></a>: <a href="Information.html#Information">Information</a></li>
<li><a href="Fold.html#index-C_002dc-C_002du-C_002da-161"><code>C-c C-u C-a</code></a>: <a href="Fold.html#Fold">Fold</a></li>
<li><a href="Inserting-a-DOCTYPE.html#index-C_002dc-C_002du-C_002dd-47"><code>C-c C-u C-d</code></a>: <a href="Inserting-a-DOCTYPE.html#Inserting-a-DOCTYPE">Inserting a DOCTYPE</a></li>
<li><a href="Fold.html#index-C_002dc-C_002du-C_002de-159"><code>C-c C-u C-e</code></a>: <a href="Fold.html#Fold">Fold</a></li>
<li><a href="Fold.html#index-C_002dc-C_002du-C_002dl-157"><code>C-c C-u C-l</code></a>: <a href="Fold.html#Fold">Fold</a></li>
<li><a href="Insert.html#index-C_002dc-C_002du-C_002dm-79"><code>C-c C-u C-m</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Validate.html#index-C_002dc-C_002dv-19"><code>C-c C-v</code></a>: <a href="Validate.html#Validate">Validate</a></li>
<li><a href="Information.html#index-C_002dc-C_002dw-93"><code>C-c C-w</code></a>: <a href="Information.html#Information">Information</a></li>
<li><a href="Insert.html#index-C_002dc-RET-75"><code>C-c RET</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Attributes.html#index-C_002de-127"><code>C-e</code></a>: <a href="Attributes.html#Attributes">Attributes</a></li>
<li><a href="Move.html#index-C_002dM_002da-104"><code>C-M-a</code></a>: <a href="Move.html#Move">Move</a></li>
<li><a href="Move.html#index-C_002dM_002db-110"><code>C-M-b</code></a>: <a href="Move.html#Move">Move</a></li>
<li><a href="Move.html#index-C_002dM_002dd-116"><code>C-M-d</code></a>: <a href="Move.html#Move">Move</a></li>
<li><a href="Move.html#index-C_002dM_002de-106"><code>C-M-e</code></a>: <a href="Move.html#Move">Move</a></li>
<li><a href="Move.html#index-C_002dM_002df-108"><code>C-M-f</code></a>: <a href="Move.html#Move">Move</a></li>
<li><a href="Change-and-delete.html#index-C_002dM_002dk-137"><code>C-M-k</code></a>: <a href="Change-and-delete.html#Change-and-delete">Change and delete</a></li>
<li><a href="Move.html#index-C_002dM_002du-112"><code>C-M-u</code></a>: <a href="Move.html#Move">Move</a></li>
<li><a href="Introduction.html#index-CONCUR-1">CONCUR</a>: <a href="Introduction.html#Introduction">Introduction</a></li>
<li><a href="Introduction.html#index-DATATAG-2">DATATAG</a>: <a href="Introduction.html#Introduction">Introduction</a></li>
<li><a href="Managing-the-DTD.html#index-DOCTYPE-33">DOCTYPE</a>: <a href="Managing-the-DTD.html#Managing-the-DTD">Managing the DTD</a></li>
<li><a href="Information-from-the-DTD.html#index-DTD-50">DTD</a>: <a href="Information-from-the-DTD.html#Information-from-the-DTD">Information from the DTD</a></li>
<li><a href="Managing-the-DTD.html#index-DTD-34">DTD</a>: <a href="Managing-the-DTD.html#Managing-the-DTD">Managing the DTD</a></li>
<li><a href="Information-from-the-DTD.html#index-Element-51">Element</a>: <a href="Information-from-the-DTD.html#Information-from-the-DTD">Information from the DTD</a></li>
<li><a href="Information-from-the-DTD.html#index-entity-54">entity</a>: <a href="Information-from-the-DTD.html#Information-from-the-DTD">Information from the DTD</a></li>
<li><a href="Entity-manager.html#index-entity-catalog-13">entity catalog</a>: <a href="Entity-manager.html#Entity-manager">Entity manager</a></li>
<li><a href="Entity-manager.html#index-external-identifier-12">external identifier</a>: <a href="Entity-manager.html#Entity-manager">Entity manager</a></li>
<li><a href="Invoke.html#index-invoke-6">invoke</a>: <a href="Invoke.html#Invoke">Invoke</a></li>
<li><a href="Introduction.html#index-LINK-3">LINK</a>: <a href="Introduction.html#Introduction">Introduction</a></li>
<li><a href="Complete.html#index-M_002dTAB-89"><code>M-TAB</code></a>: <a href="Complete.html#Complete">Complete</a></li>
<li><a href="Invoke.html#index-major-mode-8">major mode</a>: <a href="Invoke.html#Invoke">Invoke</a></li>
<li><a href="Indent.html#index-newline_002dand_002dindent-101"><code>newline-and-indent</code></a>: <a href="Indent.html#Indent">Indent</a></li>
<li><a href="SGML-declaration.html#index-OMITTAG-28">OMITTAG</a>: <a href="SGML-declaration.html#SGML-declaration">SGML declaration</a></li>
<li><a href="Entity-manager.html#index-public-identifier-10">public identifier</a>: <a href="Entity-manager.html#Entity-manager">Entity manager</a></li>
<li><a href="Introduction.html#index-RANK-4">RANK</a>: <a href="Introduction.html#Introduction">Introduction</a></li>
<li><a href="Insert.html#index-S_002d_0040key_007bmouse_002d1_007d-81"><code>S-&lt;mouse-1&gt;</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Introduction.html#index-SGML-Declaration-5">SGML Declaration</a>: <a href="Introduction.html#Introduction">Introduction</a></li>
<li><a href="Insert.html#index-sgml_002dadd_002delement_002dto_002delement-70"><code>sgml-add-element-to-element</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="SGML-declaration.html#index-sgml_002dalways_002dquote_002dattributes-31"><code>sgml-always-quote-attributes</code></a>: <a href="SGML-declaration.html#SGML-declaration">SGML declaration</a></li>
<li><a href="Managing-the-DTD.html#index-sgml_002dauto_002dactivate_002ddtd-37"><code>sgml-auto-activate-dtd</code></a>: <a href="Managing-the-DTD.html#Managing-the-DTD">Managing the DTD</a></li>
<li><a href="Insert.html#index-sgml_002dauto_002dinsert_002drequired_002delements-67"><code>sgml-auto-insert-required-elements</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Move.html#index-sgml_002dbackward_002delement-111"><code>sgml-backward-element</code></a>: <a href="Move.html#Move">Move</a></li>
<li><a href="Move.html#index-sgml_002dbackward_002dup_002delement-113"><code>sgml-backward-up-element</code></a>: <a href="Move.html#Move">Move</a></li>
<li><a href="Insert.html#index-sgml_002dbalanced_002dtag_002dedit-82"><code>sgml-balanced-tag-edit</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Move.html#index-sgml_002dbeginning_002dof_002delement-105"><code>sgml-beginning-of-element</code></a>: <a href="Move.html#Move">Move</a></li>
<li><a href="Entity-manager.html#index-sgml_002dcatalog_002dfiles-15"><code>sgml-catalog-files</code></a>: <a href="Entity-manager.html#Entity-manager">Entity manager</a></li>
<li><a href="Change-and-delete.html#index-sgml_002dchange_002delement_002dname-134"><code>sgml-change-element-name</code></a>: <a href="Change-and-delete.html#Change-and-delete">Change and delete</a></li>
<li><a href="Translating-characters-and-entities.html#index-sgml_002dcharent_002dto_002ddisplay_002dchar-148"><code>sgml-charent-to-display-char</code></a>: <a href="Translating-characters-and-entities.html#Translating-characters-and-entities">Translating characters and entities</a></li>
<li><a href="Highlight.html#index-sgml_002dclear_002dfaces-165"><code>sgml-clear-faces</code></a>: <a href="Highlight.html#Highlight">Highlight</a></li>
<li><a href="Complete.html#index-sgml_002dcomplete-90"><code>sgml-complete</code></a>: <a href="Complete.html#Complete">Complete</a></li>
<li><a href="Inserting-a-DOCTYPE.html#index-sgml_002dcustom_002ddtd-48"><code>sgml-custom-dtd</code></a>: <a href="Inserting-a-DOCTYPE.html#Inserting-a-DOCTYPE">Inserting a DOCTYPE</a></li>
<li><a href="Insert.html#index-sgml_002dcustom_002dmarkup-80"><code>sgml-custom-markup</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Validate.html#index-sgml_002ddeclaration-23"><code>sgml-declaration</code></a>: <a href="Validate.html#Validate">Validate</a></li>
<li><a href="Managing-the-DTD.html#index-sgml_002ddefault_002ddoctype_002dname-35"><code>sgml-default-doctype-name</code></a>: <a href="Managing-the-DTD.html#Managing-the-DTD">Managing the DTD</a></li>
<li><a href="Precompiled-DTD-Subsets.html#index-sgml_002ddefault_002ddtd_002dfile-43"><code>sgml-default-dtd-file</code></a>: <a href="Precompiled-DTD-Subsets.html#Precompiled-DTD-Subsets">Precompiled DTD Subsets</a></li>
<li><a href="Information-from-the-DTD.html#index-sgml_002ddescribe_002delement_002dtype-53"><code>sgml-describe-element-type</code></a>: <a href="Information-from-the-DTD.html#Information-from-the-DTD">Information from the DTD</a></li>
<li><a href="Information-from-the-DTD.html#index-sgml_002ddescribe_002dentity-55"><code>sgml-describe-entity</code></a>: <a href="Information-from-the-DTD.html#Information-from-the-DTD">Information from the DTD</a></li>
<li><a href="Translating-characters-and-entities.html#index-sgml_002ddisplay_002dchar_002dto_002dcharent-149"><code>sgml-display-char-to-charent</code></a>: <a href="Translating-characters-and-entities.html#Translating-characters-and-entities">Translating characters and entities</a></li>
<li><a href="Using-a-Split-Document.html#index-sgml_002ddoctype-45"><code>sgml-doctype</code></a>: <a href="Using-a-Split-Document.html#Using-a-Split-Document">Using a Split Document</a></li>
<li><a href="Move.html#index-sgml_002ddown_002delement-117"><code>sgml-down-element</code></a>: <a href="Move.html#Move">Move</a></li>
<li><a href="Precompiled-DTD-Subsets.html#index-sgml_002decat_002dfiles-38"><code>sgml-ecat-files</code></a>: <a href="Precompiled-DTD-Subsets.html#Precompiled-DTD-Subsets">Precompiled DTD Subsets</a></li>
<li><a href="Attributes.html#index-sgml_002dedit_002dattrib_002dclear-130"><code>sgml-edit-attrib-clear</code></a>: <a href="Attributes.html#Attributes">Attributes</a></li>
<li><a href="Attributes.html#index-sgml_002dedit_002dattrib_002ddefault-132"><code>sgml-edit-attrib-default</code></a>: <a href="Attributes.html#Attributes">Attributes</a></li>
<li><a href="Attributes.html#index-sgml_002dedit_002dattrib_002dfield_002dend-128"><code>sgml-edit-attrib-field-end</code></a>: <a href="Attributes.html#Attributes">Attributes</a></li>
<li><a href="Attributes.html#index-sgml_002dedit_002dattrib_002dfield_002dstart-126"><code>sgml-edit-attrib-field-start</code></a>: <a href="Attributes.html#Attributes">Attributes</a></li>
<li><a href="Attributes.html#index-sgml_002dedit_002dattributes-120"><code>sgml-edit-attributes</code></a>: <a href="Attributes.html#Attributes">Attributes</a></li>
<li><a href="Move.html#index-sgml_002dend_002dof_002delement-107"><code>sgml-end-of-element</code></a>: <a href="Move.html#Move">Move</a></li>
<li><a href="Change-and-delete.html#index-sgml_002dexpand_002dall_002dshortrefs-145"><code>sgml-expand-all-shortrefs</code></a>: <a href="Change-and-delete.html#Change-and-delete">Change and delete</a></li>
<li><a href="Fold.html#index-sgml_002dexpand_002delement-164"><code>sgml-expand-element</code></a>: <a href="Fold.html#Fold">Fold</a></li>
<li><a href="Change-and-delete.html#index-sgml_002dfill_002delement-144"><code>sgml-fill-element</code></a>: <a href="Change-and-delete.html#Change-and-delete">Change and delete</a></li>
<li><a href="Fold.html#index-sgml_002dfold_002delement-153"><code>sgml-fold-element</code></a>: <a href="Fold.html#Fold">Fold</a></li>
<li><a href="Fold.html#index-sgml_002dfold_002dregion-151"><code>sgml-fold-region</code></a>: <a href="Fold.html#Fold">Fold</a></li>
<li><a href="Fold.html#index-sgml_002dfold_002dsubelement-155"><code>sgml-fold-subelement</code></a>: <a href="Fold.html#Fold">Fold</a></li>
<li><a href="Move.html#index-sgml_002dforward_002delement-109"><code>sgml-forward-element</code></a>: <a href="Move.html#Move">Move</a></li>
<li><a href="Information-from-the-DTD.html#index-sgml_002dgeneral_002ddtd_002dinfo-52"><code>sgml-general-dtd-info</code></a>: <a href="Information-from-the-DTD.html#Information-from-the-DTD">Information from the DTD</a></li>
<li><a href="Miscellaneous-options.html#index-sgml_002dignore_002dundefined_002delements-168"><code>sgml-ignore-undefined-elements</code></a>: <a href="Miscellaneous-options.html#Miscellaneous-options">Miscellaneous options</a></li>
<li><a href="Indent.html#index-sgml_002dindent_002ddata-103"><code>sgml-indent-data</code></a>: <a href="Indent.html#Indent">Indent</a></li>
<li><a href="Indent.html#index-sgml_002dindent_002dor_002dtab-100"><code>sgml-indent-or-tab</code></a>: <a href="Indent.html#Indent">Indent</a></li>
<li><a href="Indent.html#index-sgml_002dindent_002dstep-102"><code>sgml-indent-step</code></a>: <a href="Indent.html#Indent">Indent</a></li>
<li><a href="Insert.html#index-sgml_002dinsert_002dattribute-78"><code>sgml-insert-attribute</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Insert.html#index-sgml_002dinsert_002delement-64"><code>sgml-insert-element</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Insert.html#index-sgml_002dinsert_002dend_002dtag-74"><code>sgml-insert-end-tag</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Insert.html#index-sgml_002dinsert_002dend_002dtag_002don_002dnew_002dline-65"><code>sgml-insert-end-tag-on-new-line</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Insert.html#index-sgml_002dinsert_002dmissing_002delement_002dcomment-68"><code>sgml-insert-missing-element-comment</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Insert.html#index-sgml_002dinsert_002dtag-62"><code>sgml-insert-tag</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Change-and-delete.html#index-sgml_002dkill_002delement-138"><code>sgml-kill-element</code></a>: <a href="Change-and-delete.html#Change-and-delete">Change and delete</a></li>
<li><a href="Change-and-delete.html#index-sgml_002dkill_002dmarkup-136"><code>sgml-kill-markup</code></a>: <a href="Change-and-delete.html#Change-and-delete">Change and delete</a></li>
<li><a href="Information-from-the-DTD.html#index-sgml_002dlist_002dattributes-57"><code>sgml-list-attributes</code></a>: <a href="Information-from-the-DTD.html#Information-from-the-DTD">Information from the DTD</a></li>
<li><a href="Information-from-the-DTD.html#index-sgml_002dlist_002dcontent_002delements-60"><code>sgml-list-content-elements</code></a>: <a href="Information-from-the-DTD.html#Information-from-the-DTD">Information from the DTD</a></li>
<li><a href="Information-from-the-DTD.html#index-sgml_002dlist_002delements-56"><code>sgml-list-elements</code></a>: <a href="Information-from-the-DTD.html#Information-from-the-DTD">Information from the DTD</a></li>
<li><a href="Information-from-the-DTD.html#index-sgml_002dlist_002doccur_002din_002delements-59"><code>sgml-list-occur-in-elements</code></a>: <a href="Information-from-the-DTD.html#Information-from-the-DTD">Information from the DTD</a></li>
<li><a href="Information-from-the-DTD.html#index-sgml_002dlist_002dterminals-58"><code>sgml-list-terminals</code></a>: <a href="Information-from-the-DTD.html#Information-from-the-DTD">Information from the DTD</a></li>
<li><a href="Information.html#index-sgml_002dlist_002dvalid_002dtags-96"><code>sgml-list-valid-tags</code></a>: <a href="Information.html#Information">Information</a></li>
<li><a href="Information.html#index-sgml_002dlive_002delement_002dindicator-97"><code>sgml-live-element-indicator</code></a>: <a href="Information.html#Information">Information</a></li>
<li><a href="Precompiled-DTD-Subsets.html#index-sgml_002dload_002ddtd-42"><code>sgml-load-dtd</code></a>: <a href="Precompiled-DTD-Subsets.html#Precompiled-DTD-Subsets">Precompiled DTD Subsets</a></li>
<li><a href="Entity-manager.html#index-sgml_002dlocal_002dcatalogs-16"><code>sgml-local-catalogs</code></a>: <a href="Entity-manager.html#Entity-manager">Entity manager</a></li>
<li><a href="Precompiled-DTD-Subsets.html#index-sgml_002dlocal_002decat_002dfiles-39"><code>sgml-local-ecat-files</code></a>: <a href="Precompiled-DTD-Subsets.html#Precompiled-DTD-Subsets">Precompiled DTD Subsets</a></li>
<li><a href="Change-and-delete.html#index-sgml_002dmake_002dcharacter_002dreference-142"><code>sgml-make-character-reference</code></a>: <a href="Change-and-delete.html#Change-and-delete">Change and delete</a></li>
<li><a href="Highlight.html#index-sgml_002dmarkup_002dfaces-167"><code>sgml-markup-faces</code></a>: <a href="Highlight.html#Highlight">Highlight</a></li>
<li><a href="Miscellaneous-options.html#index-sgml_002dmax_002dmenu_002dsize-170"><code>sgml-max-menu-size</code></a>: <a href="Miscellaneous-options.html#Miscellaneous-options">Miscellaneous options</a></li>
<li><a href="SGML-declaration.html#index-sgml_002dminimize_002dattributes-32"><code>sgml-minimize-attributes</code></a>: <a href="SGML-declaration.html#SGML-declaration">SGML declaration</a></li>
<li><a href="Invoke.html#index-sgml_002dmode-9"><code>sgml-mode</code></a>: <a href="Invoke.html#Invoke">Invoke</a></li>
<li><a href="Move.html#index-sgml_002dnext_002ddata_002dfield-119"><code>sgml-next-data-field</code></a>: <a href="Move.html#Move">Move</a></li>
<li><a href="Validate.html#index-sgml_002dnext_002dtrouble_002dspot-26"><code>sgml-next-trouble-spot</code></a>: <a href="Validate.html#Validate">Validate</a></li>
<li><a href="Change-and-delete.html#index-sgml_002dnormalize-146"><code>sgml-normalize</code></a>: <a href="Change-and-delete.html#Change-and-delete">Change and delete</a></li>
<li><a href="Change-and-delete.html#index-sgml_002dnormalize_002dtrims-147"><code>sgml-normalize-trims</code></a>: <a href="Change-and-delete.html#Change-and-delete">Change and delete</a></li>
<li><a href="Validate.html#index-sgml_002doffer_002dsave-24"><code>sgml-offer-save</code></a>: <a href="Validate.html#Validate">Validate</a></li>
<li><a href="SGML-declaration.html#index-sgml_002domittag-29"><code>sgml-omittag</code></a>: <a href="SGML-declaration.html#SGML-declaration">SGML declaration</a></li>
<li><a href="Insert.html#index-sgml_002domittag_002dtransparent-84"><code>sgml-omittag-transparent</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Using-a-Split-Document.html#index-sgml_002dparent_002ddocument-46"><code>sgml-parent-document</code></a>: <a href="Using-a-Split-Document.html#Using-a-Split-Document">Using a Split Document</a></li>
<li><a href="Managing-the-DTD.html#index-sgml_002dparse_002dprolog-36"><code>sgml-parse-prolog</code></a>: <a href="Managing-the-DTD.html#Managing-the-DTD">Managing the DTD</a></li>
<li><a href="Entity-manager.html#index-sgml_002dpublic_002dmap-18"><code>sgml-public-map</code></a>: <a href="Entity-manager.html#Entity-manager">Entity manager</a></li>
<li><a href="Miscellaneous-options.html#index-sgml_002drange_002dindicator_002dmax_002dlength-169"><code>sgml-range-indicator-max-length</code></a>: <a href="Miscellaneous-options.html#Miscellaneous-options">Miscellaneous options</a></li>
<li><a href="Precompiled-DTD-Subsets.html#index-sgml_002drecompile_002dout_002dof_002ddate_002dcdtd-40"><code>sgml-recompile-out-of-date-cdtd</code></a>: <a href="Precompiled-DTD-Subsets.html#Precompiled-DTD-Subsets">Precompiled DTD Subsets</a></li>
<li><a href="Precompiled-DTD-Subsets.html#index-sgml_002dsave_002ddtd-41"><code>sgml-save-dtd</code></a>: <a href="Precompiled-DTD-Subsets.html#Precompiled-DTD-Subsets">Precompiled DTD Subsets</a></li>
<li><a href="Highlight.html#index-sgml_002dset_002dface-166"><code>sgml-set-face</code></a>: <a href="Highlight.html#Highlight">Highlight</a></li>
<li><a href="SGML-declaration.html#index-sgml_002dshorttag-30"><code>sgml-shorttag</code></a>: <a href="SGML-declaration.html#SGML-declaration">SGML declaration</a></li>
<li><a href="Information.html#index-sgml_002dshow_002dcontext-92"><code>sgml-show-context</code></a>: <a href="Information.html#Information">Information</a></li>
<li><a href="Insert.html#index-sgml_002dsplit_002delement-76"><code>sgml-split-element</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Entity-manager.html#index-sgml_002dsystem_002didentifiers_002dare_002dpreferred-14"><code>sgml-system-identifiers-are-preferred</code></a>: <a href="Entity-manager.html#Entity-manager">Entity manager</a></li>
<li><a href="Insert.html#index-sgml_002dtag_002dregion-72"><code>sgml-tag-region</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Insert.html#index-sgml_002dtag_002dregion_002dif_002dactive-85"><code>sgml-tag-region-if-active</code></a>: <a href="Insert.html#Insert">Insert</a></li>
<li><a href="Fold.html#index-sgml_002dunfold_002dall-162"><code>sgml-unfold-all</code></a>: <a href="Fold.html#Fold">Fold</a></li>
<li><a href="Fold.html#index-sgml_002dunfold_002delement-160"><code>sgml-unfold-element</code></a>: <a href="Fold.html#Fold">Fold</a></li>
<li><a href="Fold.html#index-sgml_002dunfold_002dline-158"><code>sgml-unfold-line</code></a>: <a href="Fold.html#Fold">Fold</a></li>
<li><a href="Change-and-delete.html#index-sgml_002duntag_002delement-140"><code>sgml-untag-element</code></a>: <a href="Change-and-delete.html#Change-and-delete">Change and delete</a></li>
<li><a href="Move.html#index-sgml_002dup_002delement-115"><code>sgml-up-element</code></a>: <a href="Move.html#Move">Move</a></li>
<li><a href="Validate.html#index-sgml_002dvalidate-20"><code>sgml-validate</code></a>: <a href="Validate.html#Validate">Validate</a></li>
<li><a href="Validate.html#index-sgml_002dvalidate_002dcommand-21"><code>sgml-validate-command</code></a>: <a href="Validate.html#Validate">Validate</a></li>
<li><a href="Validate.html#index-sgml_002dvalidate_002dfiles-22"><code>sgml-validate-files</code></a>: <a href="Validate.html#Validate">Validate</a></li>
<li><a href="Information.html#index-sgml_002dwhat_002delement-94"><code>sgml-what-element</code></a>: <a href="Information.html#Information">Information</a></li>
<li><a href="SGML-declaration.html#index-SHORTTAG-27">SHORTTAG</a>: <a href="SGML-declaration.html#SGML-declaration">SGML declaration</a></li>
<li><a href="Invoke.html#index-start-up-7">start up</a>: <a href="Invoke.html#Invoke">Invoke</a></li>
<li><a href="Entity-manager.html#index-system-identifier-11">system identifier</a>: <a href="Entity-manager.html#Entity-manager">Entity manager</a></li>
</ul>
<div class="contents">
<h2>Table of Contents</h2>
<ul>
<li><a name="toc_Introduction" href="Introduction.html#Introduction">1 Introduction</a>
<li><a name="toc_Install" href="Install.html#Install">2 Installing PSGML</a>
<li><a name="toc_Invoke" href="Invoke.html#Invoke">3 How to invoke PSGML</a>
<li><a name="toc_Entity-manager" href="Entity-manager.html#Entity-manager">4 The Entity Manager</a>
<li><a name="toc_Validate" href="Validate.html#Validate">5 Running an external SGML parser</a>
<li><a name="toc_SGML-declaration" href="SGML-declaration.html#SGML-declaration">6 SGML Declaration</a>
<li><a name="toc_Managing-the-DTD" href="Managing-the-DTD.html#Managing-the-DTD">7 Document Type Declaration</a>
<ul>
<li><a href="Precompiled-DTD-Subsets.html#Precompiled-DTD-Subsets">7.1 Precompiled DTD Subsets</a>
<li><a href="Using-a-Split-Document.html#Using-a-Split-Document">7.2 Using a Split Document</a>
<li><a href="Inserting-a-DOCTYPE.html#Inserting-a-DOCTYPE">7.3 Inserting a DOCTYPE</a>
<li><a href="Information-from-the-DTD.html#Information-from-the-DTD">7.4 Information from the DTD</a>
</li></ul>
<li><a name="toc_Edit" href="Edit.html#Edit">8 Commands for editing</a>
<ul>
<li><a href="Insert.html#Insert">8.1 Inserting Markup</a>
<li><a href="Complete.html#Complete">8.2 Markup completion</a>
<li><a href="Information.html#Information">8.3 Showing information</a>
<li><a href="Indent.html#Indent">8.4 Indentation according to structure</a>
<li><a href="Move.html#Move">8.5 Move in the element structure</a>
<li><a href="Attributes.html#Attributes">8.6 Editing attributes</a>
<li><a href="Change-and-delete.html#Change-and-delete">8.7 Changing and deleting markup</a>
<li><a href="Translating-characters-and-entities.html#Translating-characters-and-entities">8.8 Translating between characters and entity references</a>
</li></ul>
<li><a name="toc_Display" href="Display.html#Display">9 Appearance of text in the buffer</a>
<ul>
<li><a href="Fold.html#Fold">9.1 Folding editing</a>
<li><a href="Hiding-markup.html#Hiding-markup">9.2 Hiding markup</a>
<li><a href="Highlight.html#Highlight">9.3 Highlighting markup</a>
</li></ul>
<li><a name="toc_Miscellaneous-options" href="Miscellaneous-options.html#Miscellaneous-options">10 Miscellaneous options</a>
<li><a name="toc_Bugs" href="Bugs.html#Bugs">11 Bugs</a>
<li><a name="toc_Index" href="Index.html#Index">12 Index</a>
</li></ul>
</div>

ir)">
<link rel="prev" href="../index.html#dir" title="(dir)">
<link rel="next" href="Introduction.html#Introduction" title="Introduction">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<h1 class="settitle">psgml</h1>
<div class="node">
<p>
<a name="Top"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Introduction.html#Introduction">Introduction</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="../index.html#dir">(dir)</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="../index.html#dir">(dir)</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<ul class="menu">
<li><a accesskey="1" href="Introduction.html#Introduction">Introduction</a>:                 Introduction
<li><a accesskey="2" href="Install.html#Install">Install</a>:                      How to install PSGML
<li><a accesskey="3" href="Invoke.html#Invoke">Invoke</a>:                       How to invoke PSGML
<li><a accesskey="4" href="Entity-manager.html#Entity-manager">Entity manager</a>:               The Entity Manager
<li><a accesskey="5" href="Validate.html#Validate">Validate</a>:                     Running an external SGML parser
<li><a accesskey="6" href="SGML-declaration.html#SGML-declaration">SGML declaration</a>:             Using an SGML declaration
<li><a accesskey="7" href="Managing-the-DTD.html#Managing-the-DTD">Managing the DTD</a>:             Specifying what DTD to use
<li><a accesskey="8" href="Edit.html#Edit">Edit</a>:                         Commands for editing
<li><a accesskey="9" href="Display.html#Display">Display</a>:                      Appearance of text in the buffer
<li><a href="Miscellaneous-options.html#Miscellaneous-options">Miscellaneous options</a>
<li><a href="Bugs.html#Bugs">Bugs</a>:                         Reporting bugs
<li><a href="Index.html#Index">Index</a>
</ul>

<!-- *** section about error recovery ?? -->
<!--  -->
<div class="node">
<p>
<a name="Index"></a>
Previous:&nbsp;<a rel="previous" accesskey="p" href="Bugs.html#Bugs">Bugs</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<!-- node-name,         next,       previous, up -->
<h2 class="chapter">12 Index</h2>

</body></html>

